import { request } from '@/utils/request.js';

// person-files
export const personFilesListApi = (data) =>
  request({
    url: '/api/system/person-files/list',
    data,
  });
export const personFilesEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/system/person-files/edit',
      data,
    });
  } else {
    return request({
      url: '/api/system/person-files/add',
      data,
    });
  }
};
export const personFilesDestroyApi = (ids) =>
  request({
    url: '/api/system/person-files/destroy',
    data: { ids },
  });

export const personFilesExportApi = (ids) =>
  request({
    url: '/api/system/person-files/export',
    data: { ids },
    download: true,
  });

// person-allocate
export const personAllocateListApi = (data) =>
  request({
    url: '/api/system/person-allocate/list',
    data,
  });
export const personAllocateStatisticsApi = (data) =>
  request({
    url: '/api/system/person-allocate/statistics',
    data,
  });
export const personAllocateSubmitSopApi = (data) =>
  request({
    url: '/api/system/person-allocate/submit-sop',
    data,
  });

// registration-query
export const registrationQueryListApi = (data) =>
  request({
    url: '/api/system/registration-query/list',
    data,
  });
